Bug 984552 - BootLoaderError: failed to set new efi boot target
BootLoaderError: failed to set new efi boot target
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: anaconda (Show other bugs)
7.0
x86_64 Linux
unspecified Severity urgent
: rc
: 7.0
Assigned To: Anaconda Maintenance Team
Release Test Team
abrt_hash:621f17b27646a41529ebfad28c1...
:
Depends On:
Blocks: 920743
  Show dependency treegraph
 
Reported: 2013-07-15 09:24 EDT by George Beshers
Modified: 2013-09-18 08:44 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-18 08:44:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb (701.21 KB, text/plain)
2013-07-15 09:24 EDT, George Beshers
no flags Details
File: anaconda.log (13.57 KB, text/plain)
2013-07-15 09:24 EDT, George Beshers
no flags Details
File: environ (499 bytes, text/plain)
2013-07-15 09:24 EDT, George Beshers
no flags Details
File: ks.cfg (9.38 KB, text/plain)
2013-07-15 09:24 EDT, George Beshers
no flags Details
File: lsblk_output (2.54 KB, text/plain)
2013-07-15 09:25 EDT, George Beshers
no flags Details
File: nmcli_dev_list (7.27 KB, text/plain)
2013-07-15 09:25 EDT, George Beshers
no flags Details
File: os_info (397 bytes, text/plain)
2013-07-15 09:25 EDT, George Beshers
no flags Details
File: program.log (66.47 KB, text/plain)
2013-07-15 09:25 EDT, George Beshers
no flags Details
File: storage.log (182.68 KB, text/plain)
2013-07-15 09:25 EDT, George Beshers
no flags Details
File: ifcfg.log (719 bytes, text/plain)
2013-07-15 09:25 EDT, George Beshers
no flags Details
File: packaging.log (157.72 KB, text/plain)
2013-07-15 09:25 EDT, George Beshers
no flags Details
File: syslog (1.04 MB, application/octet-stream)
2013-07-15 09:25 EDT, George Beshers
no flags Details

  None (edit)
Description George Beshers 2013-07-15 09:24:26 EDT
Description of problem:
This is on sgi-uv1-sys.rhts.bos.redhat.com.

Its a vnc install, I will try it again.

Version-Release number of selected component:
anaconda-19.30.13-1

The following was filed automatically by anaconda:
anaconda 19.30.13-1 exception report
Traceback (most recent call first):
  File "/usr/lib64/python2.7/site-packages/pyanaconda/bootloader.py", line 1677, in add_efi_boot_target
    raise BootLoaderError("failed to set new efi boot target")
  File "/usr/lib64/python2.7/site-packages/pyanaconda/bootloader.py", line 1682, in install
    self.add_efi_boot_target()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/bootloader.py", line 1701, in write
    self.install()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/bootloader.py", line 2358, in writeBootLoader
    storage.bootloader.write()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/install.py", line 171, in doInstall
    writeBootLoader(storage, payload, instClass, ksdata)
  File "/usr/lib64/python2.7/threading.py", line 764, in run
    self.__target(*self.__args, **self.__kwargs)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/threads.py", line 168, in run
    threading.Thread.run(self, *args, **kwargs)
BootLoaderError: failed to set new efi boot target

Additional info:
cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   console=ttyS0,115200n8 earlyprintk=ttyS0,115200n8 ks=http://beaker.engineering.redhat.com/kickstart/370854 ksdevice=link manual serial vnc netboot_method=efigrub
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         3.10.0-0.rc7.64.el7.x86_64
product:        Red Hat Enterprise Linux
release:        Red Hat Enterprise Linux Client release 7.0 Beta (Maipo)
type:           anaconda
version:        7.0
Comment 1 George Beshers 2013-07-15 09:24:30 EDT
Created attachment 773744 [details]
File: anaconda-tb
Comment 2 George Beshers 2013-07-15 09:24:39 EDT
Created attachment 773745 [details]
File: anaconda.log
Comment 3 George Beshers 2013-07-15 09:24:54 EDT
Created attachment 773746 [details]
File: environ
Comment 4 George Beshers 2013-07-15 09:24:58 EDT
Created attachment 773747 [details]
File: ks.cfg
Comment 5 George Beshers 2013-07-15 09:25:08 EDT
Created attachment 773748 [details]
File: lsblk_output
Comment 6 George Beshers 2013-07-15 09:25:12 EDT
Created attachment 773749 [details]
File: nmcli_dev_list
Comment 7 George Beshers 2013-07-15 09:25:15 EDT
Created attachment 773750 [details]
File: os_info
Comment 8 George Beshers 2013-07-15 09:25:25 EDT
Created attachment 773751 [details]
File: program.log
Comment 9 George Beshers 2013-07-15 09:25:34 EDT
Created attachment 773752 [details]
File: storage.log
Comment 10 George Beshers 2013-07-15 09:25:38 EDT
Created attachment 773753 [details]
File: ifcfg.log
Comment 11 George Beshers 2013-07-15 09:25:45 EDT
Created attachment 773754 [details]
File: packaging.log
Comment 12 George Beshers 2013-07-15 09:25:51 EDT
Created attachment 773755 [details]
File: syslog
Comment 14 Russ Anderson 2013-07-25 11:33:19 EDT
Tried to use Beaker to install the latest rhel7 nightly build on sgi-uv1.

cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   console=ttyS0,115200n8 earlyprintk=ttyS0,115200n8 ks=http://beaker.engineering.redhat.com/kickstart/370854 ksdevice=link manual serial vnc netboot_method=efigrub
hashmarkername: anaconda
kernel:         3.10.0-0.rc7.64.el7.x86_64
package:        anaconda-19.30.13-1
product:        Red Hat Enterprise Linux
reason:         BootLoaderError: failed to set new efi boot target
release:        Red Hat Enterprise Linux Client release 7.0 Beta (Maipo)
version:        7.0
Comment 15 Russ Anderson 2013-07-25 11:42:30 EDT
Was able to connect via VNC to Anaconda to watch the install.  After it failed (with "An unknown error has occured"), used the Anaconda interface to report the failure.  It looked for duplicate failures and added to this BZ.
Comment 16 Russ Anderson 2013-09-18 08:44:00 EDT
Provisioning rhel7 on SGI UV is working.
Other changes may have fixed this problem.
Closing.

Note You need to log in before you can comment on or make changes to this bug.